| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csgeom/math3d_d.h File Reference

3D mathematic utility functions (double precision variants). More...

`#include "csextern.h"`
`#include "cstypes.h"`

Go to the source code of this file.

## Classes
class | csDIntersect3
| Some functions to perform various intersection calculations with 3D line segments. More...
class | csDMath3
| Various assorted 3D mathematical functions. More...
class | csDMatrix3
| A 3x3 matrix. More...
class | csDPlane
| A plane in 3D space. More...
class | csDSquaredDist
| Some functions to perform squared distance calculations. More...
class | csDVector3
| A 3D vector. More...
## Defines
#define | ABS(x) ((x)<0?-(x):(x))
## Functions
double | dSqr (double d)

## Detailed Description

3D mathematic utility functions (double precision variants).

Definition in file math3d_d.h.